Module java.desktop
Package javax.swing

## Class JEditorPane.AccessibleJEditorPane

- java.lang.Object
- - javax.accessibility.AccessibleContext
  - - java.awt.Component.AccessibleAWTComponent
    - - java.awt.Container.AccessibleAWTContainer
      - - javax.swing.JComponent.AccessibleJComponent
        - - javax.swing.text.JTextComponent.AccessibleJTextComponent
          - - javax.swing.JEditorPane.AccessibleJEditorPane

All Implemented Interfaces:
  `Serializable`, `EventListener`, `AccessibleAction`, `AccessibleComponent`, `AccessibleEditableText`, `AccessibleExtendedComponent`, `AccessibleExtendedText`, `AccessibleText`, `CaretListener`, `DocumentListener`

Direct Known Subclasses:
  `JEditorPane.AccessibleJEditorPaneHTML`, `JEditorPane.JEditorPaneAccessibleHypertextSupport`

Enclosing class:
  JEditorPane

    protected class JEditorPane.AccessibleJEditorPane
    extends JTextComponent.AccessibleJTextComponent

This class implements accessibility support for the `JEditorPane` class. It provides an implementation of the Java Accessibility API appropriate to editor pane user-interface elements.

Warning: Serialized objects of this class will not be compatible with future Swing releases. The current serialization support is appropriate for short term storage or RMI between applications running the same version of Swing. As of 1.4, support for long term storage of all JavaBeans™ has been added to the `java.beans` package. Please see `XMLEncoder`.

See Also:
  Serialized Form

### Nested Class Summary

### Nested classes/interfaces declared in class javax.swing.JComponent.AccessibleJComponent

`JComponent.AccessibleJComponent.AccessibleContainerHandler, JComponent.AccessibleJComponent.AccessibleFocusHandler`

### Nested classes/interfaces declared in class java.awt.Component.AccessibleAWTComponent

`Component.AccessibleAWTComponent.AccessibleAWTComponentHandler, Component.AccessibleAWTComponent.AccessibleAWTFocusHandler`

### Field Summary

### Fields declared in class javax.swing.JComponent.AccessibleJComponent

`accessibleFocusHandler`

### Fields declared in class java.awt.Container.AccessibleAWTContainer

`accessibleContainerHandler`

### Fields declared in class java.awt.Component.AccessibleAWTComponent

`accessibleAWTComponentHandler, accessibleAWTFocusHandler`

### Fields declared in class javax.accessibility.AccessibleContext

`ACCESSIBLE_ACTION_PROPERTY, ACCESSIBLE_ACTIVE_DESCENDANT_PROPERTY, ACCESSIBLE_CARET_PROPERTY, ACCESSIBLE_CHILD_PROPERTY, ACCESSIBLE_COMPONENT_BOUNDS_CHANGED, ACCESSIBLE_DESCRIPTION_PROPERTY, ACCESSIBLE_HYPERTEXT_OFFSET, ACCESSIBLE_INVALIDATE_CHILDREN, ACCESSIBLE_NAME_PROPERTY, ACCESSIBLE_SELECTION_PROPERTY, ACCESSIBLE_STATE_PROPERTY, ACCESSIBLE_TABLE_CAPTION_CHANGED, ACCESSIBLE_TABLE_COLUMN_DESCRIPTION_CHANGED, ACCESSIBLE_TABLE_COLUMN_HEADER_CHANGED, ACCESSIBLE_TABLE_MODEL_CHANGED, ACCESSIBLE_TABLE_ROW_DESCRIPTION_CHANGED, ACCESSIBLE_TABLE_ROW_HEADER_CHANGED, ACCESSIBLE_TABLE_SUMMARY_CHANGED, ACCESSIBLE_TEXT_ATTRIBUTES_CHANGED, ACCESSIBLE_TEXT_PROPERTY, ACCESSIBLE_VALUE_PROPERTY, ACCESSIBLE_VISIBLE_DATA_PROPERTY, accessibleDescription, accessibleName, accessibleParent`

### Fields declared in interface javax.accessibility.AccessibleAction

`CLICK, DECREMENT, INCREMENT, TOGGLE_EXPAND, TOGGLE_POPUP`

### Fields declared in interface javax.accessibility.AccessibleExtendedText

`ATTRIBUTE_RUN, LINE`

### Fields declared in interface javax.accessibility.AccessibleText

`CHARACTER, SENTENCE, WORD`

### Constructor Summary

Constructors
`protected` `AccessibleJEditorPane()`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getAccessibleDescription()` Gets the accessibleDescription property of this object.
`AccessibleStateSet` `getAccessibleStateSet()` Gets the state set of this object.

### Methods declared in class javax.swing.text.JTextComponent.AccessibleJTextComponent

`caretUpdate, changedUpdate, cut, delete, doAccessibleAction, getAccessibleActionCount, getAccessibleActionDescription, getAccessibleEditableText, getAccessibleRole, getAccessibleText, getAfterIndex, getAtIndex, getBeforeIndex, getCaretPosition, getCharacterAttribute, getCharacterBounds, getCharCount, getIndexAtPoint, getSelectedText, getSelectionEnd, getSelectionStart, getTextBounds, getTextRange, getTextSequenceAfter, getTextSequenceAt, getTextSequenceBefore, insertTextAtIndex, insertUpdate, paste, removeUpdate, replaceText, selectText, setAttributes, setTextContents`

### Methods declared in class javax.swing.JComponent.AccessibleJComponent

`addPropertyChangeListener, getAccessibleChild, getAccessibleChildrenCount, getAccessibleKeyBinding, getAccessibleName, getBorderTitle, getTitledBorderText, getToolTipText, removePropertyChangeListener`

### Methods declared in class java.awt.Container.AccessibleAWTContainer

`getAccessibleAt`

### Methods declared in class java.awt.Component.AccessibleAWTComponent

`addFocusListener, contains, getAccessibleComponent, getAccessibleIndexInParent, getAccessibleParent, getBackground, getBounds, getCursor, getFont, getFontMetrics, getForeground, getLocale, getLocation, getLocationOnScreen, getSize, isEnabled, isFocusTraversable, isShowing, isVisible, removeFocusListener, requestFocus, setBackground, setBounds, setCursor, setEnabled, setFont, setForeground, setLocation, setSize, setVisible`

### Methods declared in class javax.accessibility.AccessibleContext

`firePropertyChange, getAccessibleAction, getAccessibleIcon, getAccessibleRelationSet, getAccessibleSelection, getAccessibleTable, getAccessibleValue, setAccessibleDescription, setAccessibleName, setAccessibleParent`

### Methods declared in class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods declared in interface javax.accessibility.AccessibleComponent

`addFocusListener, contains, getAccessibleAt, getBackground, getBounds, getCursor, getFont, getFontMetrics, getForeground, getLocation, getLocationOnScreen, getSize, isEnabled, isFocusTraversable, isShowing, isVisible, removeFocusListener, requestFocus, setBackground, setBounds, setCursor, setEnabled, setFont, setForeground, setLocation, setSize, setVisible`

### Constructor Detail

#### AccessibleJEditorPane

    protected AccessibleJEditorPane()

### Method Detail

#### getAccessibleDescription

    public String getAccessibleDescription()

Gets the accessibleDescription property of this object. If this property isn't set, returns the content type of this `JEditorPane` instead (e.g. "plain/text", "html/text").

Overrides:
  `getAccessibleDescription` in class `JComponent.AccessibleJComponent`
Returns:
  the localized description of the object; `null` if this object does not have a description
See Also:
  `AccessibleContext.setAccessibleName(java.lang.String)`

#### getAccessibleStateSet

    public AccessibleStateSet getAccessibleStateSet()

Gets the state set of this object.

Overrides:
  `getAccessibleStateSet` in class `JTextComponent.AccessibleJTextComponent`
Returns:
  an instance of AccessibleStateSet describing the states of the object
See Also:
  `AccessibleStateSet`